<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83aFormNuevoPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" />
				<form-property name="w83aprovincia_alt" type="java.lang.String"/>
				<form-property name="w83amunicipio_alt" type="java.lang.String" />
				<form-property name="w83aprovinciaOriginal_alt" type="java.lang.String"/>
				<form-property name="w83amunicipioOriginal_alt" type="java.lang.String" />
				
				<form-property name="w83aprovinciaOriginal" type="java.lang.String"/>
				<form-property name="w83amunicipioOriginal" type="java.lang.String" initial=""/>
				<form-property name="w83aPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83aCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83aRegManual" type="java.lang.String" initial=""/>
				
				
				<form-property name="formFile" type="org.apache.struts.upload.FormFile" />
				
				<form-property name="listaDocs" type="java.lang.String"/>
				<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>	
		</form-bean>
		
		
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				<form-property name="nombreBean" type="java.lang.String" initial="w83aPreavisosBean,w83aPreavisosNuevoBea"/>
				<form-property name="w83aListaCentroTrabajo" type="java.util.List"/>	
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.preavisos"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aResultado" type="java.lang.String"/>
				<form-property name="w83aListResultado" type="java.util.List"/>
				<form-property name="idDocumento" type="java.lang.String"/>
				<form-property name="w83aDocBean" type="w83a.w83aBeans.W83aDocBean"/>								
				<form-property name="w83aPreavisosBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="w83aPreavisosTempBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="w83aPreavisosNuevoBeanTemp" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="subOpFlag" type="java.lang.String" initial="preavisos"/>
				<form-property name="w83aListaCod" type="java.util.List"/>				
				<form-property name="w83aPreavisosBeanSalida" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="w83aListaPreavisos" type="java.util.List"/>	
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" initial=""/>
				<form-property name="w83aprovincia_alt" type="java.lang.String"/>
				<form-property name="w83amunicipio_alt" type="java.lang.String" initial=""/>
				<form-property name="w83aprovinciaOriginal_alt" type="java.lang.String"/>
				<form-property name="w83amunicipioOriginal_alt" type="java.lang.String" initial=""/>
				<form-property name="w83aListaBorradoFilePreavisos" type="java.util.List"/>
				
				<form-property name="w83aprovinciaOriginal" type="java.lang.String"/>
				<form-property name="w83amunicipioOriginal" type="java.lang.String" initial=""/>
				
				<form-property name="w83aMapaPreavisos" type="java.util.HashMap" />
<!--				<form-property name="w83aMapaFilePreavisos" type="java.util.HashMap" />-->
				<form-property name="w83aprovinciac" type="java.lang.String"/>
				<form-property name="w83amunicipioc" type="java.lang.String" />
				<form-property name="w83aPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83aCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83aRegManual" type="java.lang.String" initial=""/>
				
				<form-property name="listaDocs" type="java.lang.String"/>
				<form-property name="tramite" type="java.lang.String" />
				<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>	
				<form-property name="w83aMapaImpugnaciones" type="java.util.HashMap" />
				<form-property name="tamanyoListaResultsAux" type="java.lang.String"/>
				<form-property name="w83aSubOpFlag" type="java.lang.String" initial="preavisos"/>	
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		
		<action
				path ="/w83aPreavisos" forward="paginaPreavisos"/>
		<action
				path ="/w83bPaginaEdicionPreavisos" forward="paginaEdicionPreavisos"/>
				
		<action path="/w83aInicioEdicionPreavisos" 
		name="w83aFormBusqPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aIrEdicionPreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83aObtenerDetallesPreavisoOI.do"/>
			<forward name="error" path="/w83aObtenerDetallesPreavisoOI.do"/>
		</action>
		
		<action path ="/w83aObtenerDetallesPreavisoOI" 
			 parameter="w83aObtenerDetallesPreavisoOI" 
			 validate="false"  
			 input="/w83aInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDetallesPreavisoOutOP.do" />
					<forward name="error" path="/w83aInicioBusquedaPreavisos.do" />
		</action>
						
		<action path="/w83aDetallesPreavisoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aDetallesPreavisoOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83aPaginaEdicionPreavisos.do" />
		</action>
		
		<action
				path ="/w83aPaginaEdicionPreavisos" forward="paginaEdicionPreavisos"/>
<!--	DISPATCHES-->
		<action
				path="/w83aDispatchEdicion"
				name="w83aFormNuevoPreavisos"
				input="/w83aInicioNuevoPreavisos.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83aPreavisosAtrasNuevoEdicion.do"/>
				<forward
					name="irImpugnaciones"
					path="/w83aPreavisosIraImpugnacionesOP.do"/>
		</action>
		
		<action
				path="/w83aDispatchCentroTrabajoAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="centroTrabajo"
					path="/w83aInicioBusquedaPreavisos.do"/>
				<forward
					name="preavisos"
					path="/w83aMovimientoPreavisos.do"/>
		</action>

		<!-- Operaciones de Paso -->
		<action path="/w83aPreavisosAtrasNuevoEdicion" 
		name="w83aFormBusqPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83aPreavisosAtrasNuevoEdicionDispatch.do"/>
		</action>
	
						
		<action
				path="/w83aPreavisosAtrasNuevoEdicionDispatch"
				scope="request"
				parameter="busqRealizada"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="true"
					path="/w83aBusqPreavisosAtras.do"/>
				<forward
					name="false"
					path="/w83aInicioBusquedaPreavisos.do"/>
		</action>
		
		
		<action path="/w83aObtenerPreavisoIndiceOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aObtenerPreavisoIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83aInicioEdicionPreavisos.do"/>
			<forward name="error" path="/w83aGenericoOutOP.do"/>
		</action>
		
		<action path="/w83aCargarComboTiposDocumentoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aCargarTiposDocumentoOP" 
			 validate="false">
			<forward name="ok" path="/w83aCargaTiposDocumento.do"/>
			<forward name="error" path="/w83aGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83aCargaTiposDocumento" 
			 parameter="w83aCargaTiposDocumentoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aCargaTiposDocumentoOutOP.do" />
					<forward name="error" path="/w83aGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83aCargaTiposDocumentoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aCargaTiposDocumentoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83aObtenerDocumentoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83aGenericoOutOP.do"/>
		</action>
		
		<action path ="/w83aDescargarDocumentoOI" 
			 parameter="w83aDescargarDocumentoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>
		
		<action path="/w83aDescargarDocumentoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83aGenericoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83aGenericoAdjuntarOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aGenericoErrorOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoErrorOutOPAction" 
			 validate="false">
		</action>
		<action path ="/w83aObtenerDocumentoContextoOP" 
					  type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aDescargarDocumentoContextoOPAction"
			 scope="request">
			<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>
		<action path="/w83aPreavisosIraImpugnacionesOP" name="w83aFormNuevoPreavisos"  scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aPreavisosIraImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aIraImpugnacionesSubOp.do"/>
		</action>
		<action path="/w83aAntesVueltaPreavisosImpugnaciones" 
		scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aAntesVueltaPreavisosImpugnaciones" 
			 validate="false">
			<forward name="ok" path="/w83aDispatchVueltaImpugnaciones.do"/>
		</action>
		<action
				path="/w83aDispatchVueltaImpugnaciones"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="preavisos"
					path="/w83aAntesPreavisosImpugnacionesInicio.do"/>
				<forward
					name="busqPreavisos"
					path="/w83aPreavisosAtrasNuevoEdicion.do"/>
		</action>
		<action path="/w83aAntesPreavisosImpugnacionesInicio" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aAntesPreavisosImpugnacionesInicioEdicionPreavisos" 
			 validate="false">
			<forward name="ok" path="/w83aInicioEdicionPreavisos.do"/>
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
				
<!--		 <action path ="/w83aEdicionPreavisos" -->
<!--			 parameter="w83aEdicionPreavisosOI" -->
<!--			 validate="false" name="w83aFormNuevoPreavisos" -->
<!--			 input="/w83aInicioEdicionPreavisos.do" -->
<!--			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" -->
<!--			 scope="request">-->
<!--					<forward name="ok" path="/w83aInicioEdicionPreavisos.do" />-->
<!--					<forward name="error" path="/w83aInicioEdicionPreavisos.do" />-->
<!--		</action>-->
		
		
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
<!--		<action path="/w83aIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83aSubOpCentroTrabajoInit.do" scope="request"-->
<!--  				type="org.apache.struts.actions.IncludeAction" >-->
<!--				<set-property property="subOpRetPath" value="/preavisosOP/w83aDispatchCentroTrabajoAtras.do" />-->
<!--		</action>-->
<!--		<action path="/w83aIraCentrosTrabajoNuevoSubOp" name="w83aFormNuevoPreavisos" parameter="/centroTrabajoOP/w83aSubOpCentroTrabajoInit.do" scope="request"-->
<!--  				type="org.apache.struts.actions.IncludeAction" >-->
<!--				<set-property property="subOpRetPath" value="/preavisosOP/w83aDispatchCentroTrabajoAtras.do" />-->
<!--		</action>-->
<!--		<action path="/w83aIraImpugnacionesSubOp" parameter="/impugnacionesOP/w83aSubOpImpugnacionesInit.do" scope="request"-->
<!--  				type="org.apache.struts.actions.IncludeAction" >-->
<!--				<set-property property="subOpRetPath" value="/preavisosOP/w83aAntesVueltaPreavisosImpugnaciones.do" />-->
<!--		</action>-->
		<!-- SUB-OPERACIONES -->
		<action path="/w83aSubOpPreavisosInit" scope="request" forward="/W83aGenericoActasPreavisosOPAction.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83aSubOpPreavisosEnd" scope="request" forward="/w83aSubOpPreavisosInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<!-- FIN SUB-OPERACIONES -->
		<action path="/W83aGenericoActasPreavisosOPAction" 
			scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aInicioEdicionPreavisos.do"/>
		</action>
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml,
											/WEB-INF/validators-config/preavisos/validation-preavisos.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

</struts-config>